- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# tcp_pcb_listen Struct Reference

`#include <tcp.h>`

## Data Fields
void(* | accept )(void *arg, struct tcp_pcb *newpcb)
void * | callback_arg
ip_addr | local_ip
uInt16 | local_port
tcp_pcb_listen * | next
enum tcp_state | state

## Detailed Description

Definition at line 265 of file tcp.h.

## Field Documentation

void(* tcp_pcb_listen::accept)(void *arg, struct tcp_pcb *newpcb)

void* tcp_pcb_listen::callback_arg

Definition at line 270 of file tcp.h.

struct ip_addr tcp_pcb_listen::local_ip

Definition at line 275 of file tcp.h.

uInt16 tcp_pcb_listen::local_port

Definition at line 276 of file tcp.h.

struct tcp_pcb_listen* tcp_pcb_listen::next

Definition at line 266 of file tcp.h.

enum tcp_state tcp_pcb_listen::state

Definition at line 268 of file tcp.h.

The documentation for this struct was generated from the following file:

- src/sys/include/net/tcp.h